2019-10-16 14:15 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002643FSSCPHUDpublic2012-10-15 23:01
ReporterKolgena 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWin7OS Version
Product Version3.6.14 RC5 
Target VersionFixed in Version3.6.14 
Summary0002643: Shield icons generated by engine reflect incorrect quadrants.
DescriptionThis applies to all shield HUD elements (player shields, target shields) that use the engine-generated square brackets.

When these shield quadrants are generated by "generate icon" in ships.tbl, they reflect the wrong quadrant. This can be cross-referenced by only attacking a specific quadrant and watching what flashes, or by comparing the target shield icon with the mini shield indicator near the center of the screen.

Basically, this error makes it nigh impossible to micromanage shield distribution in a fight.

Specifically:
Front Quadrant -> (drawn as) Front Quadrant (correct)
Left Quadrant -> (drawn as) Right Quadrant
Right Quadrant -> Rear Quadrant
Rear Quadrant -> Right Quadrant

I know for sure that the front quadrant is drawn correctly and that the other three are not. However, I can't exactly remember which is which among those three quadrants.
Steps To ReproduceLoad up any mod with ships that use the generate icon flag.

WoD, Dimensional Eclipse both feature ships of this sort.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013484

Yarn (developer)

To aid testing, I have uploaded a mod with a test mission. In that mission, four sentry guns appear one at a time to shoot each shield quadrant in this order: front, right, rear, left. Messages will be displayed to tell you which quadrant is being shot. The Ulysses (the default ship) uses the generated shield icon, while other ships use the normal icons.

~0013983

Goober5000 (administrator)

Yoink!

~0013984

Goober5000 (administrator)

Fixed in revision 9271.
+Notes

-Issue History
Date Modified Username Field Change
2012-04-25 00:34 Kolgena New Issue
2012-04-26 23:49 Swifty Assigned To => Swifty
2012-04-26 23:49 Swifty Status new => assigned
2012-04-28 16:55 Yarn File Added: ShieldTest.zip
2012-04-28 16:55 Yarn Note Added: 0013484
2012-10-15 22:59 Goober5000 Note Added: 0013983
2012-10-15 22:59 Goober5000 Assigned To Swifty => Goober5000
2012-10-15 23:01 Goober5000 Note Added: 0013984
2012-10-15 23:01 Goober5000 Status assigned => resolved
2012-10-15 23:01 Goober5000 Resolution open => fixed
2012-10-15 23:01 Goober5000 Fixed in Version => 3.6.14
+Issue History